# MapEdge | data-structure-typed
Documentation for data-structure-typed

# Class MapEdge<T>

#### Type Parameters

- #### T = any

#### Hierarchy

- DirectedEdge <T>
  - MapEdge

- Defined in src/data-structures/graph/map-graph.ts:44

#####
Index

### Constructors

constructor

### Properties

_hashCode

### Accessors

dest
hashCode
src
val
weight

### Methods

_setHashCode

## Constructors

### constructor

- new MapEdge<T>(src, dest, weight?, val?): MapEdge <T>

- The constructor function initializes a new instance of a class with the given source, destination, weight, and value.

  #### Type Parameters

  - #### T = any

  #### Parameters

  - ##### src: VertexId

    The `src` parameter is the source vertex ID. It represents the starting point of an edge in a graph.

  - ##### dest: VertexId

    The `dest` parameter is the identifier of the destination vertex for an edge.

  - ##### `Optional` weight: number

    The weight parameter is an optional number that represents the weight of the edge.

  - ##### `Optional` val: T

    The "val" parameter is an optional parameter of type T. It is used to store additional information or data associated with the edge.

  #### Returns MapEdge <T>

  Overrides DirectedEdge.constructor

  - Defined in src/data-structures/graph/map-graph.ts:55

## Properties

### `Protected` _hashCode

_hashCode: string

Inherited from DirectedEdge._hashCode

- Defined in src/data-structures/graph/abstract-graph.ts:83

## Accessors

### dest

- get dest(): VertexId

- #### Returns VertexId

  Inherited from DirectedEdge.dest

  - Defined in src/data-structures/graph/directed-graph.ts:56
- set dest(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  Inherited from DirectedEdge.dest

  - Defined in src/data-structures/graph/directed-graph.ts:60

### hashCode

- get hashCode(): string

- #### Returns string

  Inherited from DirectedEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:85

### src

- get src(): VertexId

- #### Returns VertexId

  Inherited from DirectedEdge.src

  - Defined in src/data-structures/graph/directed-graph.ts:46
- set src(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  Inherited from DirectedEdge.src

  - Defined in src/data-structures/graph/directed-graph.ts:50

### val

- get val(): undefined | T

- #### Returns undefined | T

  Inherited from DirectedEdge.val

  - Defined in src/data-structures/graph/abstract-graph.ts:65
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Inherited from DirectedEdge.val

  - Defined in src/data-structures/graph/abstract-graph.ts:69

### weight

- get weight(): number

- #### Returns number

  Inherited from DirectedEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:75
- set weight(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Inherited from DirectedEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:79

## Methods

### `Protected` _setHashCode

- _setHashCode(v): void

- The function sets the value of the _hashCode property to the provided string.

  #### Parameters

  - ##### v: string

    The parameter "v" is of type string and represents the value that will be assigned to the "_hashCode" property.

  #### Returns void

  Inherited from DirectedEdge._setHashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:99

Generated using TypeDoc